1. ホーム
  2. 製品
  3. ダウンロード
  4. PLOP 5 (PLOP / PLOP DS)
Product

PDFlib PLOP 5/ PLOP DS 5のダウンロード

PLOPとPLOP DSは、要件の異なる製品ですが、PLOP のバイナリファイルには PLOP と PLOP DS の両方の機能が含まれており、設定するライセンスキーにより製品(使用できる機能)が決まります。また、PLOP 5からPLOP DS 5へのアップグレードはできないこととなりました。

※ PLOP 4ライセンスをお持ちのお客様はPLOP 5に、PLOP DS 4のライセンスをお持ちのお客様はPLOP DS 5に、割引価格でアップデートすることができます。

  • PLOP は、PDF 文書の修繕、リニアライズ、最適化および暗号化/復号化が出来ます。
  • PLOP DS は、PLOP の機能に加え、PDF文書にデジタル署名を付与する事が出来ます。
  • 動作するシステム要件の詳細についてはPLOP 5 system requirementsをご参照ください。

PDFlib PLOP / PLOP DS アーカイブファイル

PLOP のアーカイブファイルには下記のものが同梱されています。

  • PLOP コマンドラインプログラム
  • 各言語用の PLOP ライブラリ
  • PLOP のドキュメント
  • サポートされている全ての言語用のサンプル

PLOP 5, PLOP DS 5の動作環境については PLOP/PLOP DS 5 system requirements をご参照ください。

OSの種類 パッケージおよび対応言語
Windows
Windows Server (32-bit)
Windows 7/8/10 (32-bit)
.NET, C, C++, Java, Perl, PHP, Python, Ruby
Windows Server (64-bit)
Windows 7/8/10 (64-bit)
.NET, C, C++, Java, Perl, PHP, Python, Ruby
macOS
macOS 10.9 以上 (32-bit/64-bit) C, C++, Java, Perl, PHP, Python, Ruby
.NET Core 共通パッケージ
Windows 64-bit、Linux 64-bit、
Alpine Linux 64-bit、macOS 64-bit
.NET Standard 2.0 または .NET Framework 4.6.1
およびそれ以上
Linux / FreeBSD
Linux (32-bit) C, C++, Java, Perl, PHP, Python, Ruby
Linux (64-bit) C, C++, Java, Perl, PHP, Python, Ruby
Alpine Linux (64-bit) C, C++, Java, Perl, PHP, Python, Ruby
FreeBSD 10/11 (32-bit) C, C++, Java, Perl, PHP, Python, Ruby
FreeBSD 10/11 (64-bit) C, C++, Java, Perl, PHP, Python, Ruby
FreeBSD 12 (64-bit) C, C++, Java, Perl, PHP, Python, Ruby
モバイルシステム
iOS (Universal) Objective-C, C, C++
Android (32-bit) C, C++
Java
IBM AIX
IBM AIX 5/6/7 (32-bit) C, C++, Java, Perl, PHP, Python
IBM AIX 5/6/7 (64-bit) C, C++, Java
IBM i5/iSeries/zSeries
IBM i5/iSeries (*1)
IBM zSeries (USS) C, C++
Linux-S390x (64-bit) C, C++

(*1) i5/Seriesでは、JavaまたはPHPに対応したAIXバイナリをお使いいただけます。 詳細は「Deploying AIX Binaries on IBM i5/iSeries with PASE」(英語)をご覧ください。

各言語の対応バージョンは以下の通りです (プラットフォームによって対応バージョンが異なる場合があります)。

  • PHP 7.2, 7.3, 7.4。詳細については PDFlib-in-PHP-HowTo をご覧ください。
  • .NET Framework 4.0 以上
  • Perl 5.26, 5.28, 5.30
  • Python 3.3 以上
  • Ruby 2.5, 2.6, 2.7

各パッケージの md5 checksum をご用意しています。

日本語版マニュアル

マニュアルへのリンク 説明
japanPLOP/PLOP DS 5.4 日本語版マニュアル PDFlib PLOP/ PDFlib PLOP DS の日本語版マニュアルです(PLOP/PLOP DS 5.4)。
japan pCOS パスリファレンス12 pCOSパスリファレンス(日本語)です。

英語版マニュアル

マニュアルへのリンク 説明
PLOP/PLOP DS 5.4英語版マニュアル PDFlib PLOP/ PDFlib PLOP DS の英語版マニュアルです(PLOP/PLOP DS 5.4)
pCOS パスリファレンス英語版 pCOSパスリファレンス(英語)です。
Thales e-Security PDFlib PLOP DS インテグレーションガイド英語版 Thales e-Security のハードウェアセキュリティモジュールと PDFlib PLOP DS とのインテグレーションについて説明したガイド(英語)です。

.NETユーザのためのガイドPDFlib in .NET HowTo(英文)をご参照ください。 PHPのためのガイドは PDFlib in PHP HowTo です。 いずれもパッケージにも同梱されています。

試用版として、ライセンスキーを設定しない状態の PLOP の制限事項については、製品ページ の説明を参照してください。